;;;; message-digest-types.scm  -*- Scheme -*-
;;;; Kon Lovett, Jul '18
;;;; Kon Lovett, Mar '18

;;Include File

(define-type pathname string)

(define-type srfi4vector
  (or u8vector s8vector u16vector s16vector u32vector s32vector f32vector f64vector))

;from message-digest-primitive
(define-type message-digest-primitive-name (or symbol string))
(define-type message-digest-primitive (struct message-digest-primitive))

;from message-digest-type
(define-type message-digest (struct message-digest))

(define-type message-digest-raw-chunk (struct message-digest-raw-chunk))

(define-type message-digest-buffer (or string blob u8vector))
#; ;desired, bufpointer is pointer+start+end
(define-type message-digest-buffer (or string blob srfi4vector procedure input-port bufpointer))

(define-type message-digest-byte-order symbol)

(define-type message-digest-result-form symbol)

(define-type message-digest-result-type (or string blob u8vector))

;(define-type context-info (or fixnum procedure))

(define-type digest-output-port output-port)

(define-type message-digest-primitive-context *)
